ByteChef LogoByteChef

YouTube

Enjoy the videos and music you love, upload original content, and share it all with friends, family, and the world on YouTube.

Categories: Helpers

Type: youTube/v1


Connections

Version: 1

OAuth2 Authorization Code

Properties

NameLabelTypeDescriptionRequired
clientIdClient IdSTRINGtrue
clientSecretClient SecretSTRINGtrue

Connection Setup

Create OAuth 2.0 Application

Creation of OAuth 2.0 application is documented here.

Enable YouTube API

  1. In the Google Cloud Console, select your project.
  2. Go to the APIs & Services.
  3. Click on ENABLE APIS AND SERVICES.
  4. Search for "youube api" in the search bar.
  5. Click on YouTube Data API v3.
  6. Click Enable.

Actions

Upload Video

Name: uploadVideo

Uploads video to YouTube.

Properties

NameLabelTypeDescriptionRequired
fileVideo FileFILE_ENTRYVideo file that will be uploaded.true
titleVideo TitleSTRINGTitle of the video.true
descriptionVideo DescriptionSTRINGDescription of the video.true
tagsVideo TagsARRAY
Items [STRING($tag)]
Tags of the video.false
privacyStatusPrivacy StatusSTRING
Options private, public, unlisted
Privacy status of the video.true
categoryIdVideo Category IDSTRINGtrue

Example JSON Structure

{
  "label" : "Upload Video",
  "name" : "uploadVideo",
  "parameters" : {
    "file" : {
      "extension" : "",
      "mimeType" : "",
      "name" : "",
      "url" : ""
    },
    "title" : "",
    "description" : "",
    "tags" : [ "" ],
    "privacyStatus" : "",
    "categoryId" : ""
  },
  "type" : "youTube/v1/uploadVideo"
}

Output

Type: OBJECT

Properties

NameTypeDescription
publishedAtSTRINGThe date and time when the video was published.
channelIdSTRINGID of the channel where the video was uploaded.
titleSTRINGTitle of the video.
descriptionSTRINGDescription of the video.
thumbnailsOBJECT
Properties {{STRING(url), INTEGER(width), INTEGER(height)}(default), {STRING(url), INTEGER(width), INTEGER(height)}(medium), {STRING(url), INTEGER(width), INTEGER(height)}(high)}
Video thumbnails of different quality.
channelTitleSTRINGTitle of the channel.
tagsARRAY
Items [STRING]
Tags of the video.
categoryIdSTRINGID of the video category.
liveBroadcastContentSTRINGLive broadcasting content.
localizedOBJECT
Properties {STRING(title), STRING(description)}
Localized description of the video.
publishTimeSTRINGThe date and time when the video was published.

Output Example

{
  "publishedAt" : "",
  "channelId" : "",
  "title" : "",
  "description" : "",
  "thumbnails" : {
    "default" : {
      "url" : "",
      "width" : 1,
      "height" : 1
    },
    "medium" : {
      "url" : "",
      "width" : 1,
      "height" : 1
    },
    "high" : {
      "url" : "",
      "width" : 1,
      "height" : 1
    }
  },
  "channelTitle" : "",
  "tags" : [ "" ],
  "categoryId" : "",
  "liveBroadcastContent" : "",
  "localized" : {
    "title" : "",
    "description" : ""
  },
  "publishTime" : ""
}

Find Video Category ID

To find Video Category ID, click here

Triggers

New Video

Name: newVideo

Triggers when new video is added to a specific channel.

Type: POLLING

Properties

NameLabelTypeDescriptionRequired
identifierUsername/Channel HandleSTRINGYouTube username or a channel handle (e.g. @Youtube).true

Output

Type: OBJECT

Properties

NameTypeDescription
publishedAtSTRINGThe date and time when the video was published.
channelIdSTRINGID of the channel where the video was uploaded.
titleSTRINGTitle of the video.
descriptionSTRINGDescription of the video.
thumbnailsOBJECT
Properties {{STRING(url), INTEGER(width), INTEGER(height)}(default), {STRING(url), INTEGER(width), INTEGER(height)}(medium), {STRING(url), INTEGER(width), INTEGER(height)}(high)}
Video thumbnails of different quality.
channelTitleSTRINGTitle of the channel.
liveBroadcastContentSTRINGLive broadcasting content.
publishTimeSTRINGThe date and time when the video was published.

JSON Example

{
  "label" : "New Video",
  "name" : "newVideo",
  "parameters" : {
    "identifier" : ""
  },
  "type" : "youTube/v1/newVideo"
}

What to do if your action is not listed here?

If this component doesn't have the action you need, you can use Custom Action to create your own. Custom Actions empower you to define HTTP requests tailored to your specific requirements, allowing for greater flexibility in integrating with external services or APIs.

To create a Custom Action, simply specify the desired HTTP method, path, and any necessary parameters. This way, you can extend the functionality of your component beyond the predefined actions, ensuring that you can meet all your integration needs effectively.


Additional Instructions

How to find Video Category ID

You can only find Video Category ID by using Google YouTube Data API endpoint: GET https://www.googleapis.com/youtube/v3/videoCategories.

Troubleshooting

Access Blocked: Verification Process Not Completed

Documentation for how to add a test user can be found here

How is this guide?

Last updated on

On this page